Module java.xml.ws
Package javax.xml.ws

## Annotation Type WebServiceClient

-     @Target(TYPE)
      @Retention(RUNTIME)
      @Documented
      public @interface WebServiceClient

  Used to annotate a generated service interface.

  The information specified in this annotation is sufficient to uniquely identify a `wsdl:service` element inside a WSDL document. This `wsdl:service` element represents the Web service for which the generated service interface provides a client view.

  Since:
    1.6, JAX-WS 2.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `String` | `name` | The local name of the Web service.
    `String` | `targetNamespace` | The namespace for the Web service.
    `String` | `wsdlLocation` | The location of the WSDL document for the service (a URL).

- - ### Element Detail

    - #### name

          String name

      The local name of the Web service.
      Returns:
        local name
      Default:
        ""

  - - #### targetNamespace

          String targetNamespace

      The namespace for the Web service.
      Returns:
        target namespace name
      Default:
        ""

  - - #### wsdlLocation

          String wsdlLocation

      The location of the WSDL document for the service (a URL).
      Returns:
        location of the WSDL document (a URL)
      Default:
        ""